﻿using System.Windows;

namespace BeeCoders.Tools.ControlCanvas.Controls
{
    /// <summary>
    /// Interaction logic for ControlPropertyHandleView.xaml
    /// </summary>
    public partial class ControlPropertyHandleView 
    {
        #region IsChecked
        public bool IsChecked
        {
            get { return (bool)GetValue(IsCheckedProperty); }
            set { SetValue(IsCheckedProperty, value); }
        }

        public static readonly DependencyProperty IsCheckedProperty = DependencyProperty.Register("IsChecked", typeof(bool),
                                      typeof(ControlPropertyHandleView),
                                      new FrameworkPropertyMetadata(false));
        #endregion

        public ControlPropertyHandleView()
        {
            InitializeComponent();
        }

        private void PropButtonChecked(object sender, RoutedEventArgs e)
        {
            IsChecked = true;

        }

        private void PropButtonUnchecked(object sender, RoutedEventArgs e)
        {
            IsChecked = false;

        }
    }
}
