﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using BeeCoders.Tools.ControlCanvas.Infrastructure;

namespace BeeCoders.Tools.ControlCanvas
{
    public class ValueViewModel : ViewModelBase
    {
        #region Label

        private string label;

        public string Label
        {
            get { return label; }
            set
            {
                if (value == label) return;
                label = value;
                RaisePropertyChanged("Label");

            }
        }

        #endregion

        #region Value

        private object thevalue;

        public object Value
        {
            get { return thevalue; }
            set
            {
                if (thevalue == value) return;
                thevalue = value;
                RaisePropertyChanged("Value");

            }
        }

        #endregion


        public ValueViewModel()
        {


        }


        public ValueViewModel(string label, object value)
        {
            Label = label;
            Value = value;
        }
    }

    public class ValueViewModelDemo : ValueViewModel
    {
        public ValueViewModelDemo()
        {

        }
    }
}
